Intelligence
Get Alerts
Returns alerts for the authenticated user’s account. Alerts are generated by the intelligence engine when significant score changes, anomalies, or coaching opportunities are detected.
Permission: Authenticated user
GET
/
api
/
intelligence
/
alerts
List intelligence alerts
curl --request GET \
--url https://app.dacard.ai/api/intelligence/alerts \
--cookie __session=import requests
url = "https://app.dacard.ai/api/intelligence/alerts"
headers = {"cookie": "__session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: '__session='}};
fetch('https://app.dacard.ai/api/intelligence/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alerts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"severity": "info",
"title": "<string>",
"message": "<string>",
"dimensionId": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acknowledged": false,
"acknowledgedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"error": "Authentication required",
"code": "AUTH_REQUIRED"
}Authorizations
clerkAuthbearerAuth
Clerk session cookie. Authentication is handled by Clerk. Sign in at https://app.dacard.ai/sign-in to obtain a session.
Query Parameters
When true, returns only unacknowledged alerts
Maximum number of alerts to return
Required range:
1 <= x <= 200Was this page helpful?
⌘I
List intelligence alerts
